Get crawl status and progress
Get crawl status and progress
GET
/projects/{project_uid}/crawls/{crawl_uid}Authorization
bearerApiKey AuthorizationBearer <token>
Create a REST API key in Settings > Connected Apps. MCP credentials do not authenticate this API.
In: header
Path Parameters
project_uid*string
Accessible project UID. Discover it with GET /projects; do not guess it.
Match
^[a-z0-9]{10}$crawl_uid*string
Crawl UID belonging to the selected project. Discover it with GET /projects/{project_uid}/crawls.
Match
^[a-z0-9]{16}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/crawls/string"{ "data": { "crawl_uid": "string", "status": "string", "state": "string", "status_label": "string", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z", "last_synced_at": "2019-08-24T14:15:22Z", "progress": { "pages_crawled": 0, "pages_total": 0, "max_pages": 0, "current_depth": 0 } }}{ "message": "Unauthenticated."}{ "message": "string", "code": "string"}{ "message": "Project not found or not accessible."}{ "message": "string", "code": "string"}